Bug 1978427 - Review Request: rust-ab_glyph - API for OpenType font glyphs
Summary: Review Request: rust-ab_glyph - API for OpenType font glyphs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Fabio Valentini
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1978432
TreeView+ depends on / blocked
 
Reported: 2021-07-01 18:59 UTC by Rémi Lauzier
Modified: 2021-07-28 01:24 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-28 01:24:09 UTC
Type: ---
decathorpe: fedora-review+


Attachments (Terms of Use)

Comment 1 Fabio Valentini 2021-07-19 12:23:01 UTC
Package was generated with rust2rpm, simplifying the review process.

- package builds and installs without errors on Rawhide and Fedora 34
- latest version is packaged
- reason for disabled test suite is documented
- license matches upstream specification and text is installed with %license
- conforms to Rust packaging guidelines

Please regenerate the .spec file with rust2rpm 18 before importing the package to get the new consistent automatically generated %license and %doc entries and the changelog timestamp without time+timezone.

You also might check if there are *any* tests that can be run without the font test data, i.e. if it's possible to run either unit-tests or doctests or integration tests that do not rely on those test files (i.e. "%cargo_test -- --lib", "%cargo_test -- --doc", or "%cargo_test -- --tests"). Running *some* tests is usually better than running *no tests at all*, but that's up to you.

Otherwise, package APPROVED.

Comment 2 Gwyn Ciesla 2021-07-19 18:07:57 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/rust-ab_glyph

Comment 3 Fedora Update System 2021-07-19 21:02:10 UTC
FEDORA-2021-e58aef4cd4 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-e58aef4cd4

Comment 4 Fedora Update System 2021-07-20 01:48:20 UTC
FEDORA-2021-e58aef4cd4 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2021-e58aef4cd4 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-e58aef4cd4

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2021-07-28 01:24:09 UTC
FEDORA-2021-e58aef4cd4 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.